<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ContractTemplate extends Model
{
    use HasFactory;

    protected $fillable = ['name', 'description'];

    public function sections()
    {
        return $this->hasMany(TemplateSection::class, 'template_id')->orderBy('order');
    }
}
